<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:math="http://www.w3.org/2005/xpath-functions/math" exclude-result-prefixes="xs math" version="3.0">
	<xsl:output method="html" encoding="UTF-8"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="Exercice">
		<xsl:choose>
			<xsl:when test="not(descendant::antwert[.=parent::fro//falsch]) and not(descendant::antwert[.=''])">
				<html xmlns="http://www.w3.org/1999/xhtml">
					<head>
						<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
						<title>Lod_ortho</title>
						<link href="../../css/001.css" type="text/css" rel="stylesheet"/>
					</head>
					<body bgcolor="">
						<form action="../../ex/ex19f/exercice19f.html">
							<table align="center" width="350px">
								<tr>
									<td colspan="3">
										<p class="titel_exercice">Dir hutt kee Feeler am Exercice gemaach</p>
									</td>
								</tr>
								<xsl:for-each select="descendant::richteg">
									<tr>
										<td/>
										<td align="center">
											<span class="kolonn_corrige richteg_antwert">
												<xsl:value-of select="."/>
												<input type="radio" name="a" value="a" style="opacity:0"/>
											</span>
										</td>
										<td/>
									</tr>
								</xsl:for-each>
							</table>
						</form>
					</body>
				</html>
			</xsl:when>
			<xsl:otherwise>
				<html xmlns="http://www.w3.org/1999/xhtml">
					<head>
						<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
						<title>Lod_ortho</title>
						<link href="../../css/001.css" type="text/css" rel="stylesheet"/>
					</head>
					<body bgcolor="">
						<form action="../../ex/ex19f/exercice19f.html">
							<table align="center" width="350px">
								<tr>
									<td colspan="3">
										<p class="titel_exercice">Dir hutt <xsl:value-of select="count(descendant::antwert[.=parent::fro//falsch])+ count(descendant::antwert[.=''])"/> Feeler am Exercice gemaach</p>
									</td>
								</tr>
								<xsl:for-each select="descendant::fro">
									<tr>
										<xsl:choose>
											<xsl:when test="child::antwert[.=''] or child::antwert[.=parent::fro//falsch]">
												<td>
													<span class="verweis_regel">
														<xsl:text>&#8656; </xsl:text>
														<xsl:choose>
															<xsl:when test="not(child::regel[.='Ausnahmen' or .='Remarque' or starts-with(.,'Bspl.')])">
																<xsl:text>Punkt </xsl:text>
															</xsl:when>
														</xsl:choose>
														<xsl:value-of select="child::regel"/>
													</span>
												</td>
											</xsl:when>
											<xsl:otherwise>
												<td/>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:apply-templates/>
									</tr>
								</xsl:for-each>
								<xsl:choose>
									<xsl:when test="not(descendant::antwert[.=parent::fro//falsch]) and not(descendant::antwert[.=''])"/>
									<xsl:otherwise>
										<tr>
											<td colspan="3">
												<p class="p_knaeppchen_exercice">
													<input type="submit" value="Exercice" class="knaeppchen_exercice"/>
												</p>
											</td>
										</tr>
									</xsl:otherwise>
								</xsl:choose>
							</table>
						</form>
					</body>
				</html>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="richteg">
		<xsl:choose>
			<xsl:when test="parent::fro//antwert[.='']">
				<td>
					<span class="kolonn_corrige keng_antwert">
						<xsl:value-of select="."/>
						<input type="radio" name="a" value="a" style="opacity:0"/>
					</span>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="self::*[.=parent::fro/antwert]">
						<td>
							<span class="kolonn_corrige richteg_antwert">
								<xsl:value-of select="."/>
								<input type="radio" name="a" value="a" style="opacity:0"/>
							</span>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td>
							<span class="kolonn_corrige keng_antwert">
								<xsl:value-of select="."/>
								<input type="radio" name="a" value="a" style="opacity:0"/>
							</span>
						</td>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="falsch">
		<xsl:choose>
			<xsl:when test="parent::fro//antwert[.='']">
				<td>
					<span class="kolonn_corrige falsch_antwert">
						<xsl:value-of select="."/>
						<input type="radio" name="a" value="a" style="opacity:0"/>
					</span>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="self::*[.=parent::fro/antwert]">
						<td>
							<span class="kolonn_corrige falsch_antwert">
								<xsl:value-of select="."/>
								<input type="radio" name="a" value="a" style="opacity:0"/>
							</span>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td>
							<span class="kolonn_corrige keng_antwert">
								<xsl:value-of select="."/>
								<input type="radio" name="a" value="a" style="opacity:0"/>
							</span>
						</td>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="antwert"/>
	<xsl:template match="regel"/>
<xsl:template match="datum"/>
</xsl:stylesheet>
